#!/bin/sh
#
#
echo "*************************************"
echo "*** Script zum Setup der Firmware ***"
echo "**************************************"
echo

###########################################
echo "-> Update Image......"
###########################################
echo 3 > /proc/sys/vm/drop_caches

mtd write /tmp/firmware_ffhal.bin kernel0
sleep 6
mtd write /tmp/firmware_ffhal.bin kernel1
sleep 6

bs_var=`grep bs /proc/mtd | cut -d ":" -f 1`
echo $bs_var

dd if=/dev/zero bs=1 count=1 of=/dev/$bs_var

echo "OK"
### koennte gut sein, dass der Router durch das sysupgrade schon ein Reboot erfaehrt...
echo 3 > /proc/sys/vm/drop_caches

echo

###########################################
echo
echo "Um das Firmware-Update abzuschliessen, den Router bitte jetzt neu starten!"
echo "Dies laesst sich hier mit dem Kommando reboot erreichen."
echo
echo "Falls experimentelle Firmware eigesetzt wurde, bitte ueberpruefen ob Patches vorliegen."
echo "Beim Vorliegen von Patches diese bitte nach dem Neustart nach Anleitung ausfuehren!"
##########################################
